# Created by pyp2rpm-3.3.3
%global pypi_name validators

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.14.2
Release:        %mkrel 1
Summary:        Python Data Validation for Humans™
Group:          Development/Python
License:        MIT
URL:            https://github.com/kvesteri/validators
Source0:        https://files.pythonhosted.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(decorator) >= 3.4.0
%if %{with tests}
BuildRequires:  python3dist(flake8) >= 2.4.0
BuildRequires:  python3dist(isort) >= 4.2.2
BuildRequires:  python3dist(pytest) >= 2.2.3
%endif
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.4.0
BuildRequires:  python3dist(sphinx)

%description
Python Data Validation for Humans™.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(decorator) >= 3.4.0
Requires:       python3dist(six) >= 1.4.0

%description -n python3-%{pypi_name}
Python Data Validation for Humans™.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Fix doc build
sed -i -e 's,sphinx.ext.pngmath,sphinx.ext.imgmath,' docs/conf.py

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%doc html
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Mar 21 2020 wally <wally> 0.14.2-1.mga8
+ Revision: 1558584
- imported package python-validators

